Bug 736684 - ipa-client-install should sync time before kinit
Summary: ipa-client-install should sync time before kinit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Alexander Bokovoy
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 12:24 UTC by Marko Myllynen
Modified: 2015-01-04 23:51 UTC (History)
6 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: If IPA client is installed and there is a too big time difference between the client and an IPA server, KDC running on the IPA server machine may refuse any Kerberos authentication request from the client. Consequence: Installation may fail as it cannot get a valid Kerberos ticket during the process Fix: Always try to synchronize the time with the NTP servers configured for the client domain or the IPA server itself Result: If the time synchronization succeeds, the time on the client machine is fixed and Kerberos authentication and the installation itself should successfully continue
Clone Of:
Environment:
Last Closed: 2011-12-06 18:30:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Marko Myllynen 2011-09-08 12:24:51 UTC
Description of problem:
When running ipa-client-install on a system whose clock is not in sync with the master, kinit fails and enrollment is aborted. Manual checking of current time at the master and adjusting on the client-to-be is then needed.

It would be better to sync the time from the master before kinit to prevent this usability issue.

Version-Release number of selected component (if applicable):
RHEL 6.1 / IPA 2.1

Comment 2 Martin Kosek 2011-09-09 09:01:10 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1773

Comment 3 Rob Crittenden 2011-10-07 02:38:49 UTC
fixed upstream

master: acb2c3106ad763a07eca6e0f6f6737c04f967bfe

ipa-2-1: 60bacc23a0989c7f9c060d8c209ba4396546ec89

Comment 6 Namita Soman 2011-10-17 17:47:40 UTC
Started with time on master at 13:45, and on client at 15:45

Ran ipa-client-install
debug logs indicate:
Synchronizing time with KDC...
root        : DEBUG    args=/usr/sbin/ntpdate -U ntp -s -b rhel62-server1.testrelm

.....where rhel62-server1.testrelm is the master IPA server.


after install, time on client matches master and is at 13:50

verified using ipa-client-2.1.2-2.el6.x86_64

Comment 7 Martin Kosek 2011-11-01 12:33:24 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: If IPA client is installed and there is a too big time difference between the client and an IPA server, KDC running on the IPA server machine may refuse any Kerberos authentication request from the client.
Consequence: Installation may fail as it cannot get a valid Kerberos ticket during the process
Fix: Always try to synchronize the time with the NTP servers configured for the client domain or the IPA server itself
Result: If the time synchronization succeeds, the time on the client machine is fixed and Kerberos authentication and the installation itself should successfully continue

Comment 8 errata-xmlrpc 2011-12-06 18:30:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.